Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233254 - mod_proxy not handling percent chars in URLs correctly
Summary: mod_proxy not handling percent chars in URLs correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 09:40 UTC by Jason Haar
Modified: 2018-11-08 14:45 UTC (History)
0 users

Fixed In Version: RHSA-2007-0747
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 15:06:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 15207 None None None Never
Red Hat Product Errata RHSA-2007:0747 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-15 15:06:14 UTC

Description Jason Haar 2007-03-21 09:40:29 UTC
Description of problem:

Hi there

We are using httpd as a reverse proxy, and have been hit by the bug referenced
within Apache's bugtracker as

http://issues.apache.org/bugzilla/show_bug.cgi?id=15207
also
http://issues.apache.org/bugzilla/show_bug.cgi?id=34688

Supposedly it was fixed in 2.0.55 back in 2005?

Basically if you are using Apache as a RP, it "double-unescapes"
percent-encodings and ends up with an invalid URL

Version-Release number of selected component (if applicable):

httpd-2.0.52

How reproducible:

always

Steps to Reproduce:
1. set up RP section via ProxyPass/ProxyPassReverse e.g

ProxyPass /test http://other.server/test/

2. download "rp.server/test/hel%20l%20o.txt - works (i.e. backend server 
   response)
3. download rp.srver/test/hel%20l%25o.txt - RP gives 400 error instead of
 passing back to backend server


  
Actual results:


Expected results:


Additional info:

Comment 1 Joe Orton 2007-05-16 13:54:32 UTC
Thanks for the report.

Comment 8 errata-xmlrpc 2007-11-15 15:06:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0747.html



Note You need to log in before you can comment on or make changes to this bug.